<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::simulator::Blade Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1simulator_1_1_blade.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1simulator_1_1_blade-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::simulator::Blade Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::simulator::Blade:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1simulator_1_1_blade.png" usemap="#flair::simulator::Blade_map" alt=""/>
  <map id="flair::simulator::Blade_map" name="flair::simulator::Blade_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ada2724d30a3d735425c9db73da3127a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada2724d30a3d735425c9db73da3127a8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Blade</b> (<a class="el" href="classflair_1_1simulator_1_1_model.html">Model</a> *parent, const irr::core::vector3df &amp;position=irr::core::vector3df(0, 0, 0), bool inverted=false, irr::s32 id=-1)</td></tr>
<tr class="separator:ada2724d30a3d735425c9db73da3127a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e6efe30829e9d4fb0e9e18d00340386"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e6efe30829e9d4fb0e9e18d00340386"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Blade</b> (irr::scene::ISceneNode *parent, const irr::core::vector3df &amp;position=irr::core::vector3df(0, 0, 0), bool inverted=false, irr::s32 id=-1)</td></tr>
<tr class="separator:a3e6efe30829e9d4fb0e9e18d00340386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96e1a6d13b35d954539b5dd6a02589a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac96e1a6d13b35d954539b5dd6a02589a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnRegisterSceneNode</b> (void)</td></tr>
<tr class="separator:ac96e1a6d13b35d954539b5dd6a02589a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a827ee4589f46349288080e843f1e4ad4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a827ee4589f46349288080e843f1e4ad4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>render</b> (void)</td></tr>
<tr class="separator:a827ee4589f46349288080e843f1e4ad4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad570acab906ccc0e2046873d7be8b73e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad570acab906ccc0e2046873d7be8b73e"></a>
virtual const irr::core::aabbox3d&lt; irr::f32 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getBoundingBox</b> (void) const </td></tr>
<tr class="separator:ad570acab906ccc0e2046873d7be8b73e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade8e7c7ccf2d7fee6a8c56504d2a500c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade8e7c7ccf2d7fee6a8c56504d2a500c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRotationSpeed</b> (float value)</td></tr>
<tr class="separator:ade8e7c7ccf2d7fee6a8c56504d2a500c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1simulator.html">simulator</a></li><li class="navelem"><a class="el" href="classflair_1_1simulator_1_1_blade.html">Blade</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
